<?php
session_start();

require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Content-Language" content="en-us">
  <title>Multi Select 2</title>
  
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

body {
  font-family:'Courier New';
  font-size:16px;
  font-weight:600;
  color:#000;
}

.btn {
    width:160px;    
}

label {
  margin-bottom:0px;
}

.table>td { 
  vertical-align:bottom;    
}

td > * {
  width:100%;
}

select, input {
 height:28px;
 width:100%;
}

input[type=checkbox] {
  height:20px;
  width:20px;
  vertical-align:middle;
}


</style>

</head>
<body>

<?php 

// Include the MVC class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = "$docRoot/toolkit";
require_once ("$toolkit/multiselect2.php");
require_once ("$toolkit/rerunbutton.php");
require_once ("$toolkit/selector.php");

require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/panel.php");
require_once ("$docRoot/multiselect2/model.php");
require_once ("$docRoot/multiselect2/view.php");

$lo_id = (isset($_SESSION['login'])) ? $_SESSION['login'] : 0;
$co_id = isset($_SESSION['country']) ? $_SESSION['country'] : 0;

//print_r ("lo:$lo_id co:$co_id");      

// Initialize model
$multiSelect2 = new modMultiSelect2($lo_id, $co_id);

$multiSelect2View = new modMultiSelect2View($multiSelect2);
echo $multiSelect2View->output();

?>

</body>
</html>

